> ## Documentation Index
> Fetch the complete documentation index at: https://docs.littledemo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get recorder debug still

Returns a JPEG debug still for a recorder variant. Primarily used by the dashboard storyboard/debug view.

` GET /api/v1/demos/{id}/debug-stills/{index} `

Get recorder debug still

Returns a JPEG debug still for a recorder variant. Primarily used by the dashboard storyboard/debug view.

## Servers

- ` https://littledemo.com ` — Production

## Parameters

### ` id ` (path, required)

- ` value `: type ` string `

### ` index ` (path, required)

- ` value `: type ` string `

  - pattern: ` "^\\d+$" `

### ` variant ` (query, optional)

- ` value `: type ` string `

## Responses

### ` 200 ` — Debug still JPEG

### ` 404 ` — Not found

## Request examples

### cURL

```curl
curl -X GET 'https://littledemo.com/api/v1/demos/string/debug-stills/string' \
  -H 'Authorization: Bearer YOUR_API_TOKEN'
```

### JavaScript

```javascript
const response = await fetch('https://littledemo.com/api/v1/demos/string/debug-stills/string', {
  method: 'GET',
  headers: {
      "Authorization": "Bearer YOUR_API_TOKEN"
  }
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

headers = {
    'Authorization': 'Bearer YOUR_API_TOKEN'
}

response = requests.get('https://littledemo.com/api/v1/demos/string/debug-stills/string', headers=headers)
print(response.json())
```